## alsa-tools 1.2.2

=== Makefile ===
VERSION = 1.2.2
TOP = .
SUBDIRS = as10k1 envy24control hdsploader hdspconf hdspmixer \
	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \
	  us428control usx2yloader vxloader echomixer ld10k1 qlo10k1 \
	  hwmixvolume hdajackretask hda-verb hdajacksensetest

all:
	@for i in $(SUBDIRS); do \
	  cd $(TOP)/$$i; echo $(TOP)/$$i; \
	  ./gitcompile $(GITCOMPILE_ARGS) || exit 1; \
	  cd ..; make -C $$i || exit 1; \
	done

configure:
	@for i in $(SUBDIRS); do \
	  cd $(TOP)/$$i; echo $(TOP)/$$i; \
	  if [ -x ./configure ]; then \
	    ./configure $(CONFIGURE_ARGS) || exit 1; \
	  else \
	    make CONFIGURE_ARGS="$CONFIGURE_ARGS" configure || exit 1; \
	  fi; \
	  cd ..; make -C $$i || exit 1; \
	done

install:
	@for i in $(SUBDIRS); do \
	  make -C $$i DESTDIR=$(DESTDIR) install || exit 1; \
	done

alsa-dist:
	@echo $(VERSION) > $(TOP)/version
	@mkdir -p $(TOP)/distdir
	@for i in $(SUBDIRS); do \
	  cd $(TOP)/$$i; echo $(TOP)/$$i; \
	  ./gitcompile $(GITCOMPILE_ARGS) || exit 1; \
	  cd ..; make -C $$i alsa-dist || exit 1; \
	done
	@cp Makefile gitcompile distdir
	@mv distdir alsa-tools-$(VERSION)
	@tar --create --verbose --file=- alsa-tools-$(VERSION) \
	  | bzip2 -c -9 > alsa-tools-$(VERSION).tar.bz2
	@mv alsa-tools-$(VERSION) distdir

clean:
	rm -rf *~ distdir
	@for i in $(SUBDIRS); do make -C $$i clean || exit 1; done

=== ld10k1/contrib/emu10k1MIDIEffects/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# contrib/emu10k1MIDIEffects/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ld10k1
pkgincludedir = $(includedir)/ld10k1
pkglibdir = $(libdir)/ld10k1
pkglibexecdir = $(libexecdir)/ld10k1
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = contrib/emu10k1MIDIEffects
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_effects_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(effectsdir)"
DATA = $(dist_effects_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /packaging/alsa-tools/ld10k1/missing aclocal-1.16
ALSA_CFLAGS = 
ALSA_LIBS =  -lasound -lm -ldl -lpthread
ALSA_TOPOLOGY_LIBS =  -latopology
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AS10K1 = as10k1
AUTOCONF = ${SHELL} /packaging/alsa-tools/ld10k1/missing autoconf
AUTOHEADER = ${SHELL} /packaging/alsa-tools/ld10k1/missing autoheader
AUTOMAKE = ${SHELL} /packaging/alsa-tools/ld10k1/missing automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -Wall -pipe -g
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LD10K1_LIB_EXTRAVER = 
LD10K1_LIB_MAJOR = 0
LD10K1_LIB_MINOR = 1
LD10K1_LIB_SUBMINOR = 8
LD10K1_LIB_VERSION = 0.1.8p1
LDFLAGS = 
LIBOBJS = 
LIBS = -lasound -lm -ldl -lpthread
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = 
MAKEINFO = ${SHELL} /packaging/alsa-tools/ld10k1/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = ld10k1
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ld10k1
PACKAGE_STRING = ld10k1 0.1.8p1
PACKAGE_TARNAME = ld10k1
PACKAGE_URL = 
PACKAGE_VERSION = 0.1.8p1
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.1.8p1
abs_builddir = /packaging/alsa-tools/ld10k1/contrib/emu10k1MIDIEffects
abs_srcdir = /packaging/alsa-tools/ld10k1/contrib/emu10k1MIDIEffects
abs_top_builddir = /packaging/alsa-tools/ld10k1
abs_top_srcdir = /packaging/alsa-tools/ld10k1
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
effectsdir = $(pkgdatadir)/effects
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /packaging/alsa-tools/ld10k1/install-sh
libdir = /usr/lib64
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
EXTRA_DIST = \
	volBUS1.asm \
	3volBUS2.asm \
	emu_constants.asm \
	freberv.asm \
	gain_4.asm \
	michorusL.asm \
	michorusR.asm \
	volLR.asm \
	emu_constants.inc \
	fv-basstreble.inc \
	fv-controls.inc \
	fv-filters-reduced.inc \
	fv-filters.inc \
	fv-routes.inc \
	refl-big.inc \
	refl-default.inc \
	pontodo5

dist_effects_DATA = \
	3volBUS1.emu10k1 \
	3volBUS2.emu10k1 \
	freberv.emu10k1 \
	gain_4.emu10k1 \
	michorusL.emu10k1 \
	michorusR.emu10k1 \
	volLR.emu10k1

CLEANFILES = $(dist_effects_DATA)
SUFFIXEC = .asm .emu10k1
all: all-am

.SUFFIXES:
.SUFFIXES: .asm .emu10k1
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu contrib/emu10k1MIDIEffects/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu contrib/emu10k1MIDIEffects/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-dist_effectsDATA: $(dist_effects_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dist_effects_DATA)'; test -n "$(effectsdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(effectsdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(effectsdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(effectsdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(effectsdir)" || exit $$?; \
	done

uninstall-dist_effectsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_effects_DATA)'; test -n "$(effectsdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(effectsdir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \

=== debian/changelog ===
alsa-tools (1.2.2-1) unstable; urgency=medium

  * New upstream release.
    - hdspmixer: Use __u32 and __u64 for RMS array types (closes: #951931)
  * Apply patches from Vagrant Cascadiant to fix reproducibility issues with
    the emu10k1MIDIEffects example Makefile:
    - strip instances of build path out of example Makefile (closes: #949114).
    - set GREP, MKDIR_P, SED and SHELL from ./configure, to prevent
      variations when built on a system with merged /usr (closes: #949115).
  * Run dh_update_autotools_config before running configure (closes: #894189).
  * Merge MR !2 from Olivier Humbert to improve alsa-tools-gui desktop
    integration, by replacing our .desktop files by the upstream-provided
    ones, and applying several improvements (closes: #896471).

 -- Jordi Mallach <jordi@debian.org>  Tue, 21 Apr 2020 01:48:04 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

SUBDIRS_alsa-tools-gui = echomixer envy24control hdajackretask hdspconf hdspmixer rmedigicontrol
SUBDIRS_alsa-tools = as10k1 hda-verb seq/sbiload us428control hdajacksensetest
SUBDIRS_alsa-firmware-loaders = sb16_csp hdsploader mixartloader pcxhrloader sscape_ctl usx2yloader vxloader
SUBDIRS_tmp = ld10k1
SUBDIRS := $(SUBDIRS_alsa-tools-gui) $(SUBDIRS_alsa-tools) $(SUBDIRS_alsa-firmware-loaders) $(SUBDIRS_tmp)
#SUBDIRS := $(SUBDIRS_tmp)
DOCS = README README.profiles TODO NEWS output.doc

#
# Common
#

config: config-stamp
config-stamp:
	dh_testdir

	dh_update_autotools_config
	set -e; list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo; \
	  echo "Configuring $$subdir"; \
	  (cd $$subdir && \
	  ./configure \
	    --host=$(DEB_HOST_GNU_TYPE) \
	    --build=$(DEB_BUILD_GNU_TYPE) \
	    --prefix=/usr \
	    --mandir=\$${prefix}/share/man \
	    --infodir=\$${prefix}/share/info \
	    --datadir=\$${prefix}/share \
	    --cache-file=$(CURDIR)/config.cache \
	    $(shell dpkg-buildflags --export=configure) \
	    GREP=/bin/grep \
	    MKDIR_P="/bin/mkdir -p" \
	    SED=/bin/sed \
	    SHELL=/bin/bash \
	  ); \
	done

	touch config-stamp


#Architecture 
build: build-arch build-indep
build-arch: config build-stamp
build-indep: build-stamp
build-stamp:

	set -e; list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo; \
	  echo "Building $$subdir"; \
	  $(MAKE) -C $$subdir; \
	done

	touch build-arch-stamp

clean: clean-stamp
clean-stamp:
	dh_testdir
	dh_testroot

	rm -f build-arch-stamp config-stamp
	rm -f config.cache

	-list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo; \
	  echo "Cleaning $$subdir"; \
	  $(MAKE) -C $$subdir distclean; \
	done

	dh_autoreconf_clean
	dh_clean

# PKG = package
install-pkg:
	set -e; list='$(SUBDIRS_$(PKG))'; for subdir in $$list; do \
	  (cd $$subdir; \
	  package=$(PKG); \
	  name=$(shell echo \$$subdir | sed -e 's/^.*\///g' | sed -e 's/_/-/g'); \
	  echo; \
	  echo "Installing $$subdir into $$name"; \
	  $(MAKE) install DESTDIR=$(CURDIR)/debian/$$package; \
	  set -e; doc_list='$(DOCS)'; for doc_file in $$doc_list; do \
	    if [ -s $$doc_file ]; then \
	      install -d $(CURDIR)/debian/$$package/usr/share/doc/$$package/$$name; \
	      install $$doc_file $(CURDIR)/debian/$$package/usr/share/doc/$$package/$$name/$$doc_file; \
	    fi; \
          done; \
	  ) \
	done

install: install-arch
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s

	$(MAKE) -f debian/rules PKG=alsa-tools install-pkg
	$(MAKE) -f debian/rules PKG=alsa-tools-gui install-pkg
	$(MAKE) -f debian/rules PKG=alsa-firmware-loaders install-pkg
	$(MAKE) -f debian/rules PKG=tmp install-pkg

# Must not depend on anything. This is to be called by binary-arch
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog.ALSA
	dh_installdocs --exclude=Makefile
	dh_installexamples --exclude=.cvsignore --exclude=Makefile.am --exclude=Makefile.in
	chmod 644 $(CURDIR)/debian/ld10k1/usr/share/doc/ld10k1/examples/emu10k1MIDIEffects/pontodo5
	# Clean up embedded build paths in order to ensure reproducible builds.
	sed -i -e "s,-fdebug-prefix-map=$(CURDIR)=\.,,g" \
		-e "s,-ffile-prefix-map=$(CURDIR)=\.,,g" \
		-e "s,abs_.*$(CURDIR).*,,g" \
		-e "s,$(CURDIR).*missing --run,,g" \
		-e "s,$(CURDIR),./,g" \
		$(CURDIR)/debian/ld10k1/usr/share/doc/ld10k1/examples/emu10k1MIDIEffects/Makefile
	dh_install --list-missing
	(cd debian/ld10k1/usr/bin && mv -f lo10k1 lo10k1.bin && mv -f lo10k1.sh lo10k1)
	dh_installmenu
	dh_installman
	dh_installudev
	dh_installinit
	dh_link
	dh_strip
	# Exclude .asm files because only one is over 4k, and only slightly
	dh_compress -X.asm
	dh_fixperms
	dh_makeshlibs -- -c4
	dh_lintian
	dh_installdeb
	dh_shlibdeps -l debian/liblo10k1-0/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary-indep:
	#Nothing to do here

binary: binary-arch
.PHONY: build clean binary-arch binary install install-arch config

## alsa-tools 1.2.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.2.2
+VERSION = 1.2.5
 TOP = .
 SUBDIRS = as10k1 envy24control hdsploader hdspconf hdspmixer \
 	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \

=== debian/changelog ===
alsa-tools (1.2.5-2) unstable; urgency=medium

  * Install AppStream metadata in /usr/share/metainfo.
  * Move priority of all binary packages to optional.
  * Detail license for metainfo data in debian/copyright.
  * Move watch file to version 4.
  * Bump debhelper compat to v13 and declare it via debhelper-compat.
  * Set Rules-Requires-Root to no.
  * Add upstream metadata.
  * Update Standards-Version to 4.6.0.
  * Pass -a instead of -s to dh_installdirs.
  * Use dh_missing --list-missing.
  * Add Pre-Depends: ${misc:Pre-Depends} to ld10k1.

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 Sep 2021 02:28:58 +0200

alsa-tools (1.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Modify udev rule for alsa-firmware-loaders to run tascam_fpga based
    on a ATTR{id} match, as reported and tested by Jaime T (closes: #844501).
  * Switch to FLTK 1.3, Build-Depend on libfltk1.3-dev (closes: #974624).
  * Add completely untested AppStream metainfo for the Tascam sound cards
    firmware loaders. Thanks Petter Reinholdsten for the suggestion
    (closes: #838154).

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 Sep 2021 01:18:48 +0200

=== debian/control ===
Source: alsa-tools
Section: sound
Priority: optional
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>,
           Elimar Riesebieter <riesebie@lxtec.de>,
           Luke Yelavich <themuso@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1~),
               libasound2-dev (>= 1.0.24.1),
               libfltk1.3-dev,
               libgtk-3-dev,
               libgtk2.0-dev
Standards-Version: 4.6.0
Homepage: https://www.alsa-project.org/
Vcs-Git: https://salsa.debian.org/alsa-team/alsa-tools.git
Vcs-Browser: https://salsa.debian.org/alsa-team/alsa-tools
Rules-Requires-Root: no

Package: alsa-tools
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: as10k1
Conflicts: as10k1
Replaces: as10k1
Description: Console based ALSA utilities for specific hardware
 A collection of console-based utilities for specific sound hardware:
 .
  as10k1 - An assembler for the EMU10K1 (EMU10K2) DSP chip
  hda-verb - send HD-audio commands to Intel HDA devices
  sbiload - OPL2/3 FM instrument loader for the ALSA sequencer
  us428control - Controller utility for Tascam US-X2Y

Package: alsa-tools-gui
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GUI based ALSA utilities for specific hardware
 A collection of GUI based ALSA utilities for specific sound hardware:
 .
  echomixer - control tool for Echoaudio soundcards
  envy24control - control tool for Envy24 (ice1712) based soundcards
  hdajackretask - retask jacks on HDA Intel hardware
  hdspconf - GUI program to control the Hammerfall HDSP Alsa Settings.
  hdspmixer - tool to control the advanced routing features of the
              RME Hammerfall DSP.
  rmedigicontrol - control tool for RME Digi32 and RME Digi96 soundcards

Package: alsa-firmware-loaders
Section: contrib/sound
Architecture: linux-any
Depends: fxload, udev, ${misc:Depends}, ${shlibs:Depends}
Description: ALSA software loaders for specific hardware
 A collection of software loaders for specific hardware:
 .
  cspctl - Sound Blaster 16 ASP/CSP control program
  hdsploader - firmware loader for the RME Hammerfall DSP cards
  mixartloader - firmware loader for Digigram's miXart board sound drivers
  pcxhrloader - firmware loader for Digigram pcxhr compatible soundcards
  sscape_ctl - SoundScape control utility and firmware loader
  usx2yloader - firmware loader for Tascam USX2Y USB soundcards
  vxloader - firmware loader for Digigram VX soundcards

Package: ld10k1
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: lsb-base (>= 3.0-3), ${misc:Depends}, ${shlibs:Depends}
Suggests: alsa-tools
Description: ALSA emu10k1/2 patch loader
 A patch loader for use with the emu10k1 ALSA driver.  Supports Sound
 Blaster Live!, Audigy and Audigy 2. It includes:
  ld10k1 - server to store the driver state
  lo10k1 - control tool for the server
  dl10k1 - dump loader

Package: liblo10k1-0
Section: libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ALSA emu10k1/2 patch-loader library
 This is the runtime library for the ld10k1 patch loader for use with
 the emu10k1 ALSA driver.  Supports Sound Blaster Live!, Audigy and
 Audigy 2.

Package: liblo10k1-dev
Section: libdevel
Architecture: linux-any
Depends: libasound2-dev, liblo10k1-0 (= ${binary:Version}), ${misc:Depends}
Description: ALSA emu10k1/2 patch-loader library development files
 These are the development files for the ld10k1 patch loader for use with
 the emu10k1 ALSA driver.  Supports Sound Blaster Live!, Audigy and
 Audigy 2.

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	touch config-stamp
 
 
-#Architecture 
+#Architecture
 build: build-arch build-indep
 build-arch: config build-stamp
 build-indep: build-stamp
@@ -115,7 +115,7 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-	dh_installdirs -s
+	dh_installdirs -a
 
 	$(MAKE) -f debian/rules PKG=alsa-tools install-pkg
 	$(MAKE) -f debian/rules PKG=alsa-tools-gui install-pkg
@@ -138,7 +138,8 @@
 		-e "s,$(CURDIR).*missing --run,,g" \
 		-e "s,$(CURDIR),./,g" \
 		$(CURDIR)/debian/ld10k1/usr/share/doc/ld10k1/examples/emu10k1MIDIEffects/Makefile
-	dh_install --list-missing
+	dh_install
+	dh_missing --list-missing
 	(cd debian/ld10k1/usr/bin && mv -f lo10k1 lo10k1.bin && mv -f lo10k1.sh lo10k1)
 	dh_installmenu
 	dh_installman

=== debian/watch ===
version=4
ftp://ftp.alsa-project.org/pub/tools/alsa-tools-(.+)\.tar\.bz2

## alsa-tools 1.2.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.2.5
+VERSION = 1.2.11
 TOP = .
 SUBDIRS = as10k1 envy24control hdsploader hdspconf hdspmixer \
 	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \

=== ld10k1/contrib/emu10k1MIDIEffects/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.1 from Makefile.am.
+# Makefile.in generated by automake 1.16.2 from Makefile.am.
 # contrib/emu10k1MIDIEffects/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2018 Free Software Foundation, Inc.
+# Copyright (C) 1994-2020 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -271,6 +271,7 @@
 prefix = /usr/local
 program_transform_name = s,x,x,
 psdir = ${docdir}
+runstatedir = ${localstatedir}/run
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 srcdir = .
@@ -395,4 +396,3 @@
 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 	  if test -d $$d/$$file; then \
 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \

=== debian/changelog ===
alsa-tools (1.2.11-1build2) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:09:46 +0000

alsa-tools (1.2.11-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:37:08 +0000

alsa-tools (1.2.11-1) unstable; urgency=medium

  * New upstream release.
  * Update watch and copyright files for new https-based download URL.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Mon, 04 Mar 2024 23:13:35 +0100

alsa-tools (1.2.5-3) unstable; urgency=medium

  * Drop changelog.ALSA.
  * Drop obsolete debian/NOTES.
  * Import upstream signing key and configure watch file to check for
    sigs.
  * Add pkexec to alsa-tools-gui's Depends (closes: #1035104).

 -- Jordi Mallach <jordi@debian.org>  Fri, 05 May 2023 00:35:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: alsa-tools
 Section: sound
 Priority: optional
-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>,
            Elimar Riesebieter <riesebie@lxtec.de>,
            Luke Yelavich <themuso@ubuntu.com>
@@ -33,7 +34,7 @@
 
 Package: alsa-tools-gui
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, pkexec
 Description: GUI based ALSA utilities for specific hardware
  A collection of GUI based ALSA utilities for specific sound hardware:
  .

=== debian/rules ===
--- 
+++ 
@@ -127,7 +127,7 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs debian/changelog.ALSA
+	dh_installchangelogs
 	dh_installdocs --exclude=Makefile
 	dh_installexamples --exclude=.cvsignore --exclude=Makefile.am --exclude=Makefile.in
 	chmod 644 $(CURDIR)/debian/ld10k1/usr/share/doc/ld10k1/examples/emu10k1MIDIEffects/pontodo5

## alsa-tools 1.2.14

=== as10k1/examples/Makefile ===
TARGETS = blank.emu10k1 chorus.emu10k1 delay.emu10k1 eq2.emu10k1 eq5.emu10k1 \
	  fir.emu10k1 flanger.emu10k1 sine.emu10k1 tremolo.emu10k1 vibrato.emu10k1 \
	  vol_ctrl.emu10k1

%.emu10k1: %.asm
	../as10k1 $<

all:

dsp: $(TARGETS)

clean:
	rm -f *~ *.emu10k1

distclean: clean

install:

distdir:
	@echo > /dev/null

=== ld10k1/contrib/emu10k1MIDIEffects/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.2 from Makefile.am.
+# Makefile.in generated by automake 1.16.5 from Makefile.am.
 # contrib/emu10k1MIDIEffects/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2020 Free Software Foundation, Inc.
+# Copyright (C) 1994-2021 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -153,23 +153,24 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /packaging/alsa-tools/ld10k1/missing aclocal-1.16
+ACLOCAL = ${SHELL} '/packaging/alsa-tools/ld10k1/missing' aclocal-1.16
 ALSA_CFLAGS = 
-ALSA_LIBS =  -lasound -lm -ldl -lpthread
+ALSA_LIBS =  -lasound -lm  -lpthread
 ALSA_TOPOLOGY_LIBS =  -latopology
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AR = ar
 AS10K1 = as10k1
-AUTOCONF = ${SHELL} /packaging/alsa-tools/ld10k1/missing autoconf
-AUTOHEADER = ${SHELL} /packaging/alsa-tools/ld10k1/missing autoheader
-AUTOMAKE = ${SHELL} /packaging/alsa-tools/ld10k1/missing automake-1.16
+AUTOCONF = ${SHELL} '/packaging/alsa-tools/ld10k1/missing' autoconf
+AUTOHEADER = ${SHELL} '/packaging/alsa-tools/ld10k1/missing' autoheader
+AUTOMAKE = ${SHELL} '/packaging/alsa-tools/ld10k1/missing' automake-1.16
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -O2 -Wall -pipe -g
-CPP = gcc -E
 CPPFLAGS = 
+CSCOPE = cscope
+CTAGS = ctags
 CYGPATH_W = echo
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
@@ -180,8 +181,10 @@
 ECHO_N = -n
 ECHO_T = 
 EGREP = /usr/bin/grep -E
+ETAGS = etags
 EXEEXT = 
 FGREP = /usr/bin/grep -F
+FILECMD = file
 GREP = /usr/bin/grep
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
@@ -196,14 +199,14 @@
 LD10K1_LIB_VERSION = 0.1.8p1
 LDFLAGS = 
 LIBOBJS = 
-LIBS = -lasound -lm -ldl -lpthread
+LIBS = -lasound -lm -lpthread
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 LT_SYS_LIBRARY_PATH = 
 MAINT = 
-MAKEINFO = ${SHELL} /packaging/alsa-tools/ld10k1/missing makeinfo
+MAKEINFO = ${SHELL} '/packaging/alsa-tools/ld10k1/missing' makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /usr/bin/mkdir -p
 NM = /usr/bin/nm -B
@@ -376,7 +379,6 @@
 
 cscope cscopelist:
 
-
 distdir: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
 
@@ -395,4 +397,3 @@
 	for file in $$dist_files; do \
 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \

=== debian/changelog ===
alsa-tools (1.2.14-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Update Standards-Version to 4.7.2 (no changes needed).

 -- Jordi Mallach <jordi@debian.org>  Mon, 14 Apr 2025 22:48:16 +0200

alsa-tools (1.2.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use udev.pc to place udev files. (Closes: #1058857)
  * Avoid hard-coding path to udev helpers in udev rules, as it will
    change.
  * Update firmware path to /usr/lib/firmware.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 01:58:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: alsa-tools
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
+Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>,
            Elimar Riesebieter <riesebie@lxtec.de>,
            Luke Yelavich <themuso@ubuntu.com>
@@ -11,8 +10,10 @@
                libasound2-dev (>= 1.0.24.1),
                libfltk1.3-dev,
                libgtk-3-dev,
-               libgtk2.0-dev
-Standards-Version: 4.6.0
+               libgtk2.0-dev,
+               pkgconf,
+               systemd-dev,
+Standards-Version: 4.7.2
 Homepage: https://www.alsa-project.org/
 Vcs-Git: https://salsa.debian.org/alsa-team/alsa-tools.git
 Vcs-Browser: https://salsa.debian.org/alsa-team/alsa-tools

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,8 @@
 SUBDIRS := $(SUBDIRS_alsa-tools-gui) $(SUBDIRS_alsa-tools) $(SUBDIRS_alsa-firmware-loaders) $(SUBDIRS_tmp)
 #SUBDIRS := $(SUBDIRS_tmp)
 DOCS = README README.profiles TODO NEWS output.doc
+
+UDEVDIR = $(shell pkg-config --variable=udevdir udev)
 
 #
 # Common
@@ -100,7 +102,7 @@
 	  name=$(shell echo \$$subdir | sed -e 's/^.*\///g' | sed -e 's/_/-/g'); \
 	  echo; \
 	  echo "Installing $$subdir into $$name"; \
-	  $(MAKE) install DESTDIR=$(CURDIR)/debian/$$package; \
+	  $(MAKE) install hotplugdir=$(UDEVDIR) DESTDIR=$(CURDIR)/debian/$$package; \
 	  set -e; doc_list='$(DOCS)'; for doc_file in $$doc_list; do \
 	    if [ -s $$doc_file ]; then \
 	      install -d $(CURDIR)/debian/$$package/usr/share/doc/$$package/$$name; \

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
https://ftp.alsa-project.org/files/pub/tools/alsa-tools-(.+)\.tar\.bz2

## alsa-tools 1.2.15

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.2.11
+VERSION = 1.2.15
 TOP = .
 SUBDIRS = as10k1 envy24control hdsploader hdspconf hdspmixer \
 	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \

=== debian/changelog ===
alsa-tools (1.2.15-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to version 5.
  * Build and ship envy24control again, now ported to GTK4.
  * Drop redundant Rules-Requires-Root control field.
  * Refresh patches.
  * Remove ld10k1 postrm script with no actual code in it.
  * Add systemd service file for ld10k1 (closes: #1039122).
  * Add call to dh_installsystemd.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Dec 2025 22:34:30 +0100

alsa-tools (1.2.14-2) unstable; urgency=medium

  * Team upload
  * alsa-tools-gui: Stop building echomixer, envy24control, and rmedigicontrol
    because they still use gtk2 (Closes: #967250)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Dec 2025 23:36:54 -0500

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,13 @@
                libasound2-dev (>= 1.0.24.1),
                libfltk1.3-dev,
                libgtk-3-dev,
-               libgtk2.0-dev,
+               libgtk-4-dev,
                pkgconf,
                systemd-dev,
 Standards-Version: 4.7.2
 Homepage: https://www.alsa-project.org/
 Vcs-Git: https://salsa.debian.org/alsa-team/alsa-tools.git
 Vcs-Browser: https://salsa.debian.org/alsa-team/alsa-tools
-Rules-Requires-Root: no
 
 Package: alsa-tools
 Architecture: linux-any
@@ -39,13 +38,11 @@
 Description: GUI based ALSA utilities for specific hardware
  A collection of GUI based ALSA utilities for specific sound hardware:
  .
-  echomixer - control tool for Echoaudio soundcards
   envy24control - control tool for Envy24 (ice1712) based soundcards
   hdajackretask - retask jacks on HDA Intel hardware
   hdspconf - GUI program to control the Hammerfall HDSP Alsa Settings.
   hdspmixer - tool to control the advanced routing features of the
               RME Hammerfall DSP.
-  rmedigicontrol - control tool for RME Digi32 and RME Digi96 soundcards
 
 Package: alsa-firmware-loaders
 Section: contrib/sound

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-SUBDIRS_alsa-tools-gui = echomixer envy24control hdajackretask hdspconf hdspmixer rmedigicontrol
+SUBDIRS_alsa-tools-gui = envy24control hdajackretask hdspconf hdspmixer
 SUBDIRS_alsa-tools = as10k1 hda-verb seq/sbiload us428control hdajacksensetest
 SUBDIRS_alsa-firmware-loaders = sb16_csp hdsploader mixartloader pcxhrloader sscape_ctl usx2yloader vxloader
 SUBDIRS_tmp = ld10k1
@@ -147,6 +147,7 @@
 	dh_installman
 	dh_installudev
 	dh_installinit
+	dh_installsystemd
 	dh_link
 	dh_strip
 	# Exclude .asm files because only one is over 4k, and only slightly

=== debian/watch ===
Version: 5
Source: https://www.alsa-project.org/files/pub/tools/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s%$%.sig%
